[Support] borgserver


Balya

Recommended Posts

  • 10 months later...

You must create the Key Pair from the Device that will Access to the Server.

For example the Client/PC make your Backup to the Borg Server Docker on Unraid.

You create the Key Pair on the Client and Copy the Public key to the Borg Server in the SSH Key Folder.

Than Reboot the Docker and he create a Folder with the Name of the SSH Key in the other Backup Folder.

Than you can Access/Backup your Client.

 

A Documentary for the Create is in the linked Thread. From mgutt. rsync-server.

 

The First is this Thread. The Second is the Thread from mgutt and his rsync-server with a Documentary for the Key Pair Creation.

Edited by Revan335
Link to comment
14 hours ago, Revan335 said:

You must create the Key Pair from the Device that will Access to the Server.

For example the Client/PC make your Backup to the Borg Server Docker on Unraid.

You create the Key Pair on the Client and Copy the Public key to the Borg Server in the SSH Key Folder.

Than Reboot the Docker and he create a Folder with the Name of the SSH Key in the other Backup Folder.

Than you can Access/Backup your Client.

 

A Documentary for the Create is in the linked Thread. From mgutt. rsync-server.

 

The First is this Thread. The Second is the Thread from mgutt and his rsync-server with a Documentary for the Key Pair Creation.

Hi, I copy key from my laptop (called matebook.pub) to /mnt/user/borg/sshkeys/clients/ and it still shows me that there's no key:
 

ERROR: No SSH-Pubkey file found in /sshkeys

image.thumb.png.f4299680f77a233e47bf7a5a652e57b9.png

I change owner like for /backup folder and also don't see that key.

 

image.thumb.png.9da938b771477c4a0118bdd17562d5ab.png

Regards.

 

Link to comment
  • 1 month later...

Thanks for the contribution, it's working fine! A bit of trouble at first with ssh keys in the script but nothing you can't fix with a couple of BORG variables 😄

 

Any plans for upgrade? borg version in the container is 1.1.16 and is unsupported. Could you upgrade to last stable 1.2.7?

 

Thanks

Link to comment
On 12/12/2023 at 11:48 AM, MarianKoniuszko said:

Hi, I copy key from my laptop (called matebook.pub) to /mnt/user/borg/sshkeys/clients/ and it still shows me that there's no key:
 

ERROR: No SSH-Pubkey file found in /sshkeys

image.thumb.png.f4299680f77a233e47bf7a5a652e57b9.png

I change owner like for /backup folder and also don't see that key.

 

image.thumb.png.9da938b771477c4a0118bdd17562d5ab.png

Regards.

 

 

I think the problem is your bind mount. You must remove the "clients" part and left only "/mnt/user/borg/sshkeys/". You must still put your keys in the clients folder but the container path must point to the parent.

Link to comment
2 hours ago, ChuskyX said:

Any plans for upgrade? borg version in the container is 1.1.16 and is unsupported. Could you upgrade to last stable 1.2.7?

😱 Your right. Strange, in the Docker Hub in the first Post are Posts Versions/Releases with 1.2.x Name/Tag.

 

For example https://hub.docker.com/layers/nold360/borgserver/1.2.2/images/sha256-b1eb29720204e61b925d64632bbd4ea4f0738c2b2c2154888d481d5b914ca683?context=explore

 

Is this correct or a wrong Name?

 

Maybe can @Balya bring Light in the Darkness?

Edited by Revan335
Link to comment
4 hours ago, Revan335 said:

😱 Your right. Strange, in the Docker Hub in the first Post are Posts Versions/Releases with 1.2.x Name/Tag.

 

For example https://hub.docker.com/layers/nold360/borgserver/1.2.2/images/sha256-b1eb29720204e61b925d64632bbd4ea4f0738c2b2c2154888d481d5b914ca683?context=explore

 

Is this correct or a wrong Name?

 

Maybe can @Balya bring Light in the Darkness?

 

I'm using the tag "latest" so it could be expected to have the last Borg version.

 

Thinking about it, Borg have a lot of compatility issues between versions, you need to convert repositories, change scripts, etc.. Maybe the latest tag points to the legacy version and only users aware of the implications of an upgrade, must use the 1.2 tag. Most users don't read the change logs prior upgrading containers and this might be needed to have reliable backups.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.